import { timeFormat, format } from 'd3';

export const Tooltip = ({
  innerWidth,
  innerHeight,
  hoveredPoint,
  xScale,
}) => (
  <>
    <line
      className="hover-line"
      transform={`translate(${xScale(
        hoveredPoint.date
      )},0)`}
      y2={innerHeight}
      stroke="#222"
    />

    <g transform={`translate(${innerWidth},0)`}>
      <text y={innerHeight - 45} className="label-date">
        {timeFormat('%b %d')(hoveredPoint.date)}
      </text>
      <text y={innerHeight - 10} className="label-rank">
        {format(',')(hoveredPoint.rank)}
      </text>
    </g>
  </>
);
